org.apache.maven.shared.io.logging

## Class MessageLevels

- java.lang.Object
- - org.apache.maven.shared.io.logging.MessageLevels

    public final class MessageLevels
    extends Object

### Field Summary

Fields
`static int` `LEVEL_DEBUG` Debug.
`static int` `LEVEL_DISABLED` Disabled.
`static int` `LEVEL_ERROR` Error
`static int` `LEVEL_INFO` Info
`static int` `LEVEL_SEVERE` Severe
`static int` `LEVEL_WARNING` Warning.

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getLevelLabel(int messageLevel)`
`static boolean[]` `getLevelStates(int maxMessageLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LEVEL_DEBUG

    public static final int LEVEL_DEBUG

Debug.

See Also:
  Constant Field Values

#### LEVEL_INFO

    public static final int LEVEL_INFO

Info

See Also:
  Constant Field Values

#### LEVEL_WARNING

    public static final int LEVEL_WARNING

Warning.

See Also:
  Constant Field Values

#### LEVEL_ERROR

    public static final int LEVEL_ERROR

Error

See Also:
  Constant Field Values

#### LEVEL_SEVERE

    public static final int LEVEL_SEVERE

Severe

See Also:
  Constant Field Values

#### LEVEL_DISABLED

    public static final int LEVEL_DISABLED

Disabled.

See Also:
  Constant Field Values

### Method Detail

#### getLevelStates

    public static boolean[] getLevelStates(int maxMessageLevel)

Parameters:
  `maxMessageLevel` - for which level.
Returns:
  level states.

#### getLevelLabel

    public static String getLevelLabel(int messageLevel)

Parameters:
  `messageLevel` - the message leve.
Returns:
  The label.